exercise_04_14: exercise_04_14.o | .gitignore
	g++ $^ -o $@ 
exercise_04_14.ii: exercise_04_14.cpp
	g++ -E $^ -o $@
exercise_04_14.s: exercise_04_14.ii
	g++ -S $^ -o $@
exercise_04_14.o: exercise_04_14.s
	g++ -c $^ -o $@
.gitignore:
	echo "exercise_04_14" > $@
clean:
	rm *.ii *.s *.o exercise_04_14 .gitignore
test1: exercise_04_14 
	./exercise_04_14 < test1.in > test1.out
	diff test1.out test1.expected > /dev/null 2>&1 && echo PASSED || echo FAILED

.PRECIOUS: exercise_04_14.ii exercise_04_14.s
.SECONDARY: exercise_04_14.ii exercise_04_14.s

dbg: debug/exercise_04_14 
debug/exercise_04_14: debug/exercise_04_14.o | .gitignore
	g++ -Wall -Wextra -Werror -g3 $^ -o $@
debug/exercise_04_14.o: debug/exercise_04_14.s
	g++ -c -Wall -Wextra -Werror -g3 $^ -o $@
debug/exercise_04_14.s: debug/exercise_04_14.ii
	g++ -S -Wall -Wextra -Werror -g3 $^ -o $@
debug/exercise_04_14.ii: exercise_04_14.cpp
	g++ -E -Wall -Wextra -Werror -g3 $^ -o $@
debug/exercise_04-14.ii: | debug
debug:
	mkdir -p debug
